From johnpol@2ka.mipt.ru Sat Aug  6 13:32:43 2005
Date: Sun, 7 Aug 2005 00:15:27 +0400
From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: GregKH <greg@kroah.com>
Subject: w1_int.c: changed default netlink group.
Message-ID: <20050806201527.GA8387@2ka.mipt.ru>

w1 does not need to multicast its state to several groups at once,
and upcoming netlink changes will not allow bitmask for groups anyway.

Signed-off-by: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/w1/w1_int.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/w1/w1_int.c	2005-08-08 09:58:22.000000000 -0700
+++ gregkh-2.6/drivers/w1/w1_int.c	2005-08-08 14:28:15.000000000 -0700
@@ -86,7 +86,7 @@
 
 	dev->driver = driver;
 
-	dev->groups = 23;
+	dev->groups = 1;
 	dev->seq = 1;
 	dev_init_netlink(dev);
 
